# Sensors

### Purpose

The Sensors component contains all of the merchant-defined filtering options (that are not filters themselves) and operates differently when used within different search modes.

### Usage

The Sensors component should be added directly within the [ReactifySearchProvider](/components/provider.md).

For advanced implementations you can include your own custom sensors by using the [CustomComponent](/components/customcomponent.md), remember to include the `componentId` values to the [ReactifySearchProvider](/components/provider.md) `additionalComponentHandles` prop.

{% tabs %}
{% tab title="Basic" %}

```tsx
import React from "react";
import { Sensors } from "@usereactify/search";

export const Component: React.FC = () => {
  return (
    <Sensors />
  );
};
```

{% endtab %}

{% tab title="ExampleCustomComponent" %}

```tsx
import React from "react";
import { ReactifySearchProvider, CustomComponent } from "@usereactify/search";

export const ExampleCustomComponent: React.FC = () => {
  return (
    <ReactifySearchProvider
      mode="search"
      shopifyPermanentDomain="reactify-apps.myshopify.com"
      additionalComponentIds={["SensorSpecialProduct"]}
    >
      <CustomComponent
        componentId="SensorSpecialProduct"
        customQuery={() => ({
          query: {
            match: {
              product_type: "Special Product",
            },
          },
        })}
      />
    </ReactifySearchProvider>
  );
}
```

{% endtab %}
{% endtabs %}

### Props

```typescript
type SensorsProps = {
  /** This component does not support any props */
};
```

### Configure

The Sensors component is configured throughout multiple areas of the Reactify Search app.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://search.docs.reactify.com.au/components/sensors.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
